<!-- views/home.ejs -->

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>Node.js Blog</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <style>
        body {
            padding-top: 20px;
            padding-bottom: 20px;
        }

        .jumbotron {
          margin-top: 10px;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="jumbotron">
            <h1>All about Node</h1>
            <p class="lead">Check out our articles below!</p>
        </div>

        <div class="row">
            <div class="col-lg-12">
                <div class="list-group">
                  <!-- loop over blog posts and render them -->
                  <% posts.forEach((post) => { %>
                    <a href="#" class="list-group-item">
                    <h4 class="list-group-item-heading"><%= post.title %></h4>
                    <p class="list-group-item-text"><%= post.author %></p>
                    </a>
                <% }) %>
                </div>
            </div>
        </div>
    </div>
</body>

</html>